<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
   <featuremodel>
      <submodel name="T.TRANS+A.DEPREL">
         <feature>InputColumn(POSTAG,Input[0])</feature>
         <feature>InputColumn(POSTAG,Stack[0])</feature>
         <feature>InputColumn(POSTAG,ldep(Stack[0]))</feature>
         <feature>InputColumn(POSTAG,Stack[1])</feature>
         <feature>InputColumn(POSTAG,Stack[2])</feature>
         <feature>InputColumn(POSTAG,Input[1])</feature>
         <feature>InputColumn(POSTAG,Input[2])</feature>
         <feature>InputColumn(POSTAG,Input[3])</feature>
         <feature>InputColumn(POSTAG,Input[4])</feature>
         <feature>InputColumn(POSTAG,pred(Input[0]))</feature>
         <feature>Split(InputColumn(FEATS,Input[0]),\|)</feature>
         <feature>Split(InputColumn(FEATS,Stack[0]),\|)</feature>
         <feature>Split(InputColumn(FEATS,Stack[1]),\|)</feature>
         <feature>Split(InputColumn(FEATS,Input[1]),\|)</feature>
         <feature>Split(InputColumn(FEATS,Input[2]),\|)</feature>
         <feature>OutputColumn(DEPREL,ldep(Input[0]))</feature>
         <feature>OutputColumn(DEPREL,Stack[0])</feature>
         <feature>OutputColumn(DEPREL,ldep(Stack[0]))</feature>
         <feature>OutputColumn(DEPREL,rdep(Stack[0]))</feature>
         <feature>InputColumn(FORM,Input[0])</feature>
         <feature>InputColumn(FORM,Stack[0])</feature>
         <feature>InputColumn(FORM,head(Stack[0]))</feature>
         <feature>InputColumn(FORM,Input[1])</feature>
         <feature>InputColumn(FORM,Input[2])</feature>
         <feature>InputColumn(FORM,pred(Input[0]))</feature>
         <feature>InputColumn(LEMMA,Input[0])</feature>
         <feature>InputColumn(LEMMA,Stack[0])</feature>
         <feature>InputColumn(LEMMA,Input[1])</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),OutputColumn(DEPREL,ldep(Input[0])))</feature>
         <feature>Merge(InputColumn(POSTAG,Stack[0]),OutputColumn(DEPREL,head(Stack[0])))</feature>
         <feature>Merge3(InputColumn(POSTAG,Stack[0]),OutputColumn(DEPREL,ldep(Stack[0])),OutputColumn(DEPREL,rdep(Stack[0])))</feature>
         <feature>Merge3(InputColumn(POSTAG,Input[1]),InputColumn(POSTAG,Input[2]),InputColumn(POSTAG,Input[3]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Input[2]),InputColumn(POSTAG,Input[3],InputColumn(POSTAG,Input[4]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Input[0]),InputColumn(POSTAG,Input[1]),InputColumn(POSTAG,Input[2]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Stack[0]),InputColumn(POSTAG,Input[0]),InputColumn(POSTAG,Input[1]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Stack[1]),InputColumn(POSTAG,Stack[0]),InputColumn(POSTAG,Input[0]))</feature>
         <feature>Merge3(InputColumn(POSTAG,Stack[2]),InputColumn(POSTAG,Stack[1]),InputColumn(POSTAG,Stack[0]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(POSTAG,Stack[0]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[0]),InputColumn(FORM,Input[1]))</feature>
         <feature>Merge(InputColumn(POSTAG,Input[1]),InputColumn(FEATS,Input[1]))</feature>
      </submodel>
   </featuremodel>
</featuremodels>
